devilspie2(1)

NAME
Devilspie2 - perform scripted actions on windows as they are created

Description
Devilspie2 is a program that detects windows as they are created and performs scripted actions on them. The scripts are written in Lua, allowing a great deal of customisation. More details in /usr/share/doc/devilspie2/README.

Options

--version
    Displays the version of Devilspie2.

--folder folder
    Sets the folder where the Lua scripts are loaded from.

--debug
    Shows debug information from the Lua scripts. If debug_print is used in the Lua scripts, that output will only be printed to stdout if this option is used.

--emulate
    Emulation mode. This prevents windows from being affected by the scripts, but window positions etc. can still be read.

--wnck-version
    Show the version of libwnck in use. (Only available on GTK3 or later.)

Script Commands

See the README for a detailed description of the commands recognised by the
    Lua script.

Author
Devilspie2 is maintained by Darren Salt <devspam@moreofthesa.me.uk>. It was written by Andreas Rönnquist <andreas@ronnquist.net>, and is based on Devilspie by Ross Burton.